#### D.5.12.13 cleanunit

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Compute:
  We clean (or forget) the units in a monomial, given by "y" variables

Return:
  The list defining the monomial ideal already cleaned

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1),y(2),x(3),y(4)),dp;
    list flag=identifyvar();
    ideal J=x(1)^3*y(2)*x(3)^5*y(4)^8;
    list L=data(J,1,4);
    L[2][1][1];  // list of exponents of the monomial J
    ==> [1]:
    ==>    3
    ==> [2]:
    ==>    1
    ==> [3]:
    ==>    5
    ==> [4]:
    ==>    8
    list M=cleanunit(L[2][1][1],4,flag);
    M;           // new list without units
    ==> [1]:
    ==>    3
    ==> [2]:
    ==>    0
    ==> [3]:
    ==>    5
    ==> [4]:
    ==>    0

User manual for Singular version 4.4.1, 2025, generated by texi2html.